body{
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f0f0f0;
}
.sign-in-container{
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
    min-width: 400px;
}
.sign-in-container .logo{
    text-align: center;
}
.sign-in-container .logo h3{
    font-size: var(--heading-size-medium);
    margin-bottom: 3rem;
}
.sign-in-container .logo h3 a{
    color: var(--primary-color);
    text-decoration: none;
}
.sign-in-container h4{
    font-family: var(--body-font);
    font-size: var(--heading-size-smaller);
}
.sign-in-container .error-message{
    background-color: #ff3737;
    color: var(--secondary-color);
    padding: 10px;
    border-radius: 5px;
    margin: 10px 0;
    font-size: var(--tertiary-font-size);
    display: none;
}
.sign-in-container form{
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.sign-in-container form input{
    padding: 10px;
    border-radius: 5px;
    border: 1px solid var(--gray-medium);
}
.sign-in-container form button{
    background-color: var(--primary-color);
    color: var(--secondary-color);
    border: none;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
}
.sign-in-container form button:hover{
    background-color: var(--accent-color);
}
.sign-in-container .or-sign-in-with{
    font-size: var(--tertiary-font-size);
    text-align: center;
    margin: 10px 0;
    color: var(--gray-medium);
}
.sign-in-container .dont-have-an-account{
    font-size: var(--tertiary-font-size);
    text-align: center;
    margin-top: 3rem;
}
.sign-in-container a.google-sign-in{
    color: var(--gray-medium);
    border: 1px solid var(--gray-medium);
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    text-decoration: none;
    font-size: var(--tertiary-font-size);
    font-weight: 600;
}
.sign-in-container a.google-sign-in:hover{
    background-color: var(--primary-color);
    color: var(--secondary-color);
}
.sign-in-container .dont-have-an-account a{
    color: var(--accent-color);
    font-weight: var(--font-weight-bold);
}
.sign-in-container .dont-have-an-account a:hover{
    color: var(--accent-color-dark);
}

/* media queries */
@media (max-width: 500px) {
    .sign-in-container{
        min-width: 100%;
        border-radius: 0;
        border: none;
        box-shadow: none;
    }
}